

#pragma once

#if defined _USRDLL // DLL_EXPORT
#define DECLDIR __declspec(dllexport)
#else
#define DECLDIR __declspec(dllimport)
#endif


enum QRMODE
  {
	QRMODE_NUM = 0,       // numeric
	QRMODE_AN = 1,        // alpha-numeric
	QRMODE_8 = 2,         // 8-bit mode
	QRMODE_KANJI = 3,     // Kanji/shift-jis)
	QRMODE_ECI = 5,       // 8-bit ECI mode
  };

enum QRECLEVEL
  {
	QRECLEVEL_L = 0, // lowest
	QRECLEVEL_M,
	QRECLEVEL_Q,
	QRECLEVEL_H      // highest
  };



extern "C"
  {
  DECLDIR HBITMAP CreateQrBitmap (const char *pszContent, int nVersion, QRECLEVEL nEcLevel, QRMODE nMode, BOOL bCaseSensitive, RGBQUAD rgbqBack, RGBQUAD rgbqFore, int nZoomFactor);
  }
 
